public class Kuehlschrank {
    // Attribute
    private int stufe;
    private boolean eingeschaltet;

    //  Konstruktor fr Objekte der Klasse Kuehlschrank
    public Kuehlschrank() {
        eingeschaltet = false;
    }

    public void zustandAusgeben() {
        if (eingeschaltet) {
            System.out.println("Der Khlschrank ist eingeschaltet, die eingestellte Khlstufe ist " + stufe + ".");
        } else {
            System.out.println("Der Khlschrank ist ausgeschaltet.");
        }
    }
    
    public void hochschalten() {
        if (stufe < 3) {
            stufe = stufe + 1;
        }
    }

    public void herunterschalten() {
        if (stufe > 1) {
            stufe = stufe - 1;
        }
    }

    public void einausschalten() {
        if (eingeschaltet) {
            eingeschaltet = false;
        } else {
            eingeschaltet = true;
            stufe = 2;
        }
    }
    
    public void zustandWechseln(String aktion) {
        if (eingeschaltet == false) {
            if (aktion == "einausschalten") { //statt "==" auch "equals" mglich
                eingeschaltet = true;
                stufe = 2;
            }
        } else {
            switch (stufe) {
                case 1: {
                    if (aktion == "hochschalten") {
                        stufe = stufe + 1;
                    }
                    if (aktion == "einausschalten") {
                        eingeschaltet = false;
                    }
                } break;
                case 2: {
                    if (aktion == "hochschalten") {
                        stufe = stufe + 1;
                    }
                    if (aktion == "herunterschalten") {
                        stufe = stufe - 1;
                    }
                    if (aktion == "einausschalten") {
                        eingeschaltet = false;
                    }
                } break;
                case 3: {
                    if (aktion == "herunterschalten") {
                        stufe = stufe - 1;
                    }
                    if (aktion == "einausschalten") {
                        eingeschaltet = false;
                    }
                } break;
            }
        }
    }
}
