public class Kuehlschrank {
    // Attribute
    private int stufe;
    private boolean eingeschaltet;
    private Anzeige stufenanzeige;

    //  Konstruktor fr Objekte der Klasse Kuehlschrank
    public Kuehlschrank() {
        eingeschaltet = false;
        stufenanzeige = new Anzeige();
    }

    public void zustandAusgeben() {
        if (eingeschaltet) {
            System.out.println("Der Khlschrank ist eingeschaltet.");
        } else {
            System.out.println("Der Khlschrank ist ausgeschaltet.");
        }
        System.out.println("Khlstufenanzeige:");
        stufenanzeige.anzeigeAusgeben();
    }
    
    public void hochschalten() {
        if (stufe < 3) {
            stufe = stufe + 1;
            stufenanzeige.anzeigeSetzen(stufe);
        }
    }

    public void herunterschalten() {
        if (stufe > 1) {
            stufe = stufe - 1;
            stufenanzeige.anzeigeSetzen(stufe);
        }
    }

    public void einausschalten() {
        if (eingeschaltet) {
            eingeschaltet = false;
            stufenanzeige.anzeigeLoeschen();
        } else {
            eingeschaltet = true;
            stufe = 2;
            stufenanzeige.anzeigeSetzen(stufe);
        }
    }
}
