public class Kasse {
    private int ka_nummer;
    private double ka_stand;
    private Lager ka_lager;

    public Kasse(int nummer, Lager lager) {
        ka_nummer = nummer;
        ka_stand = 0;
        ka_lager = lager;
    }

    public int gibAbholnr(Kunde kunde, Ausgabe ausgabe, int a_nummer) {
        double preis = ka_lager.gibPreis(a_nummer);
        if (preis != -1) {
            System.out.println("Artikel Nr. " + a_nummer + " kostet " + preis + " Euro.");
            double einnahme = kunde.bezahle(preis);
            ka_stand = ka_stand + einnahme;
            System.out.println("Kasse " + ka_nummer + " hat " + einnahme + " Euro kassiert.");
            int abholnr = 607;
            ausgabe.stelleBereit(a_nummer,abholnr);
            System.out.println("Die Warenausgabe wird den Artikel bereit stellen.");
            System.out.println("Die Abholnummer lautet: " + abholnr);
            return abholnr;
        } else {
            System.out.println("Artikel ist nicht vorhanden oder nicht auf Lager");
            return -1;
        }
    }
}
