public class Test {
    private Lager lager;
    private Kasse kasse;
    private Kunde knut;
    private Ausgabe warenausgabe;
    private Anzeige anzeigetafel;

    public Test() {
        lager = new Lager();
        kasse = new Kasse(1,lager);
        knut = new Kunde("Knut",1000);
        warenausgabe = new Ausgabe(lager,10);
        anzeigetafel = new Anzeige(10);
    }

    public void simuliere() {
        lager.lagerFuellen();
        System.out.println("Kunde " + knut.gibName() + " möchte den Artikel Nr. 815 bezahlen.");
        int abholnr = kasse.gibAbholnr(knut,warenausgabe,815);
        knut.pruefe(anzeigetafel,abholnr);
        warenausgabe.anzeigeAktualisieren(anzeigetafel);
        knut.pruefe(anzeigetafel,abholnr);
        System.out.println("Kunde " + knut.gibName() + " möchte den Artikel mit der Abholnummer " + abholnr + " abholen.");
        knut.nimmArtikel(warenausgabe.gibArtikel(anzeigetafel,abholnr));
        warenausgabe.anzeigeAktualisieren(anzeigetafel);
    }
}
