public class Karte {
    private Artikel[] inhalt;
    private int artikelanzahl;
    private Cafe gehoert_zu;

    public Karte(Cafe cafe) {
        artikelanzahl = 5;
        inhalt = new Artikel[artikelanzahl];
        inhalt[0] = new Artikel("Kaffee classic",25,2.9);
        inhalt[1] = new Artikel("Latte macchiato",86,3.2);
        inhalt[2] = new Artikel("Cappuccino extragroß",104,4.1);
        inhalt[3] = new Artikel("Espresso",129,2.4);
        inhalt[4] = new Artikel("Tee schwarz",155,2.1);
        gehoert_zu = cafe;
    }

    public Artikel[] gibInhalt() {
        return inhalt;
    }
    
    public int gibBestellnr(String name) {
        int i = 0;
        int bestnr = 0;
        boolean gefunden = false;
        while (i < artikelanzahl && gefunden == false) {
            if (inhalt[i].gibName() == name) {
                bestnr = inhalt[i].gibNummer();
                gefunden = true;
            }
            i++;
        }
        return bestnr;
    }

    public String gibName(int bestnr) {
        int i = 0;
        String name = "";
        boolean gefunden = false;
        while (i < artikelanzahl && gefunden == false) {
            if (inhalt[i].gibNummer() == bestnr) {
                name = inhalt[i].gibName();
                gefunden = true;
            }
            i++;
        }
        return name;
    }

    public double gibPreis(int bestnr) {
        int i = 0;
        double preis = -1;
        boolean gefunden = false;
        while (i < artikelanzahl && gefunden == false) {
            if (inhalt[i].gibNummer() == bestnr) {
                preis = inhalt[i].gibPreis();
                gefunden = true;
            }
            i++;
        }
        return preis;
    }

    public Artikel gibArtikel(int bestnr) {
        int i = 0;
        Artikel art = null;
        boolean gefunden = false;
        while (i < artikelanzahl && gefunden == false) {
            if (inhalt[i].gibNummer() == bestnr) {
                art = inhalt[i];
                gefunden = true;
            }
            i++;
        }
        return art;
    }
}