package Model;

/**
 * Ein Benutzer
 * @author christoph
 */
public class Benutzer {
    /**
     * 
     */
    private String depotnummer;
    //private String passwort;
    /**
     * 
     */
    private String vorname;
    /**
     * 
     */
    private String nachname;
    /**
     * 
     */
    private int kontostand;
    /**
     * 
     */
    private int startbudget;
    /**
     * 
     */
    private Aktie[] depot;
    

    /**
     * Startwerte: Kontostand 20000, Startbudget: 20000, 6 Aktien im Depot
     * @param vornam
     * @param nachnam
     * @param depotnr
     */
    public Benutzer(String vornam, String nachnam, String depotnr){
        vorname= vornam;
        nachname= nachnam;
        depotnummer= depotnr;
        kontostand= 20000;
        startbudget = 20000;
        depot= new Aktie[6];
        depot[0]= null;
        depot[1]= null;
        depot[2]= null;
        depot[3]= null;
        depot[4]= null;
        depot[5]= null;
    }

    /**
     * 
     * @param v Vorname
     */
    public void vornameSetzen(String v){
        vorname= v;
    }  
    /**
     * 
     * @return Vorname
     */
    public String vornameGeben(){
        return vorname;
    }
    /**
     * 
     * @param n Nachname
     */
    public void nachnameSetzen(String n){
        nachname= n;
    }
    /**
     * 
     * @return Nachname
     */
    public String nachnameGeben(){
        return nachname;
    }
    /**
     * 
     * @param depot Depotnummer
     */
    public void depotnummerSetzen(String depot){
        depotnummer= depot;
    }
    /**
     * 
     * @return Depotnummer
     */
    public String depotnummerGeben(){
        return depotnummer;
    }
    /**
     * 
     * @param betrag Kontostand
     */
    public void kontostandSetzen(int betrag){
        kontostand= betrag;
    }
    /**
     * 
     * @return Kontostand
     */
    public int kontostandGeben(){
        return kontostand;
    }
    /**
     * 
     * @return Startbudget
     */
    public int startbudgetGeben(){
        return startbudget;
    }
    /**
     * Gibt eine Aktie im Depot zurck.
     * @param index Aktiennummer
     * @return Aktie
     */
    public Aktie getDepotInhalt(int index){
        return depot[index];
    }
    /**
     * Legt eine Aktie im Depot ab.
     * @param a Aktie
     * @param index Aktiennummer im Depot
     */
    public void setDepotInhalt(Aktie a, int index){
        depot[index] = a;
    }
    /**
     * 
     * @return Anzahl der Aktien im Depot
     */
    public int getDepotAnzahl(){
        return depot.length;
    }
}
