public class Kuehlschrank {
    // Attribut
    private int zustand; //zustand = 0 bedeutet ausgeschaltet

    //  Konstruktor fr Objekte der Klasse Kuehlschrank
    public Kuehlschrank() {
        zustand = 0;
    }

    public void zustandAusgeben() {
        if (zustand == 0) {
            System.out.println("Der Khlschrank ist ausgeschaltet.");
        } else {
            System.out.println("Der Khlschrank ist eingeschaltet, die eingestellte Khlzustand ist " + zustand + ".");
        }
    }
    
    public void hochschalten() {
        if (zustand == 1 || zustand == 2) {
            zustand = zustand + 1;
        }
    }

    public void herunterschalten() {
        if (zustand == 2 || zustand == 3) {
            zustand = zustand - 1;
        }
    }

    public void einausschalten() {
        if (zustand == 0) {
            zustand = 2;
        } else {
            zustand = 0;
        }
    }
    
    public void zustandWechseln(String aktion) {
        switch (zustand) {
            case 0: {
                if (aktion == "einausschalten") { //statt "==" auch "equals" mglich
                    zustand = 2;
                }
            } break;
            case 1: {
                if (aktion == "hochschalten") {
                    zustand = zustand + 1;
                }
                if (aktion == "einausschalten") {
                    zustand = 0;
                }
            } break;
            case 2: {
                if (aktion == "hochschalten") {
                    zustand = zustand + 1;
                }
                if (aktion == "herunterschalten") {
                    zustand = zustand - 1;
                }
                if (aktion == "einausschalten") {
                    zustand = 0;
                }
            } break;
            case 3: {
                if (aktion == "herunterschalten") {
                    zustand = zustand - 1;
                }
                if (aktion == "einausschalten") {
                    zustand = 0;
                }
            } break;
        }
    }
}
