public class Anzeige {
    // Attribute
    private boolean[] segment;
    private int zustand;

    // Konstruktor fr Objekte der Klasse ANZEAnzeigeIGE
    public Anzeige() {
        segment = new boolean[7];
        for (int i = 0; i < 7; i++) {
            segment[i] = false;
        }
        zustand = 10; // zustand > 9 steht fr leer
    }
    
    public int zustandGeben() {
        return zustand;
    }

    public void anzeigeLoeschen() {
        for (int i = 0; i < 7; i++) {
            segment[i] = false;
        }
        zustand = 10;
    }
    
    public void anzeigeAusgeben() {
        if (segment[0]) {
            System.out.println(" - ");
        } else {
            System.out.println("   ");
        }
        if (segment[1]) {
            System.out.print("| ");
        } else {
            System.out.print("  ");
        }
        if (segment[2]) {
            System.out.println("|");
        } else {
            System.out.println(" ");
        }
        if (segment[3]) {
            System.out.println(" -");
        } else {
            System.out.println("  ");
        }
        if (segment[4]) {
            System.out.print("| ");
        } else {
            System.out.print("  ");
        }
        if (segment[5]) {
            System.out.println("|");
        } else {
            System.out.println(" ");
        }
        if (segment[6]) {
            System.out.println(" - ");
        } else {
            System.out.println("   ");
        }      
    }
    
    public void anzeigeSetzen(int n) {
        anzeigeLoeschen();
        zustand = n;
        switch (n) {
            case 0:
                segment[0] = true;
                segment[1] = true;
                segment[2] = true;
                segment[4] = true;
                segment[5] = true;
                segment[6] = true;
            break;
            case 1:
                segment[2] = true;
                segment[5] = true;
            break;
            case 2:
                segment[0] = true;
                segment[2] = true;
                segment[3] = true;
                segment[4] = true;
                segment[6] = true;
            break;
            case 3:
                segment[0] = true;
                segment[2] = true;
                segment[3] = true;
                segment[5] = true;
                segment[6] = true;
            break;
            case 4:
                segment[1] = true;
                segment[2] = true;
                segment[3] = true;
                segment[5] = true;
            break;
            case 5:
                segment[0] = true;
                segment[1] = true;
                segment[3] = true;
                segment[5] = true;
                segment[6] = true;
            break;
            case 6:
                segment[0] = true;
                segment[1] = true;
                segment[3] = true;
                segment[4] = true;
                segment[5] = true;
                segment[6] = true;
            break;
            case 7:
                segment[0] = true;
                segment[1] = true;
                segment[2] = true;
                segment[5] = true;
            break;
            case 8:
                segment[0] = true;
                segment[1] = true;
                segment[2] = true;
                segment[3] = true;
                segment[4] = true;
                segment[5] = true;
                segment[6] = true;
            break;
            case 9:
                segment[0] = true;
                segment[1] = true;
                segment[2] = true;
                segment[3] = true;
                segment[5] = true;
                segment[6] = true;
            break;
            default: 
                System.out.println("Fehler: Eingegeben Ziffer ist ungltig!"); 
                zustand = 10; 
            break;
        }
    }
}