public class Weckzeit {
    // Attribute
    private Anzeige h_zehner;
    private Anzeige h_einer;
    private Anzeige m_zehner;
    private Anzeige m_einer;

    //  Konstruktor fr Objekte der Klasse Weckzeit
    public Weckzeit() {
        h_zehner = new Anzeige();
        h_zehner.anzeigeSetzen(0);
        h_einer = new Anzeige();
        h_einer.anzeigeSetzen(6);
        m_zehner = new Anzeige();
        m_zehner.anzeigeSetzen(0);
        m_einer = new Anzeige();
        m_einer.anzeigeSetzen(0);
    }

    public void weckzeitAusgeben()  {
        h_zehner.anzeigeAusgeben();
        h_einer.anzeigeAusgeben();
        System.out.println("o o");
        m_zehner.anzeigeAusgeben();
        m_einer.anzeigeAusgeben();
    }

    public void weckzeitEinstellen(int h, int m)  {
        if (h < 0 || h > 23 || m < 0 || m > 59) {
            System.out.println("Fehler: Eingegebene Zeit ist ungltig!");
        } else {
            //Stunden einstellen
            int h1 = h % 10;
            h_einer.anzeigeSetzen(h1);
            int h10 = (h - h1) / 10;
            h_zehner.anzeigeSetzen(h10);
            //Minuten einstellen
            int m1 = m % 10;
            m_einer.anzeigeSetzen(m1);
            int m10 = (m - m1) / 10;
            m_zehner.anzeigeSetzen(m10);
        }
    }
    
    public void eineStundeSpaeter() {
        int h = ( h_zehner.zustandGeben() * 10 + h_einer.zustandGeben() + 1 ) % 24;
        int h1 = h % 10;
        h_einer.anzeigeSetzen(h1);
        int h10 = (h - h1) / 10;
        h_zehner.anzeigeSetzen(h10);
    }

    public void eineStundeFrueher() {
        int h = ( h_zehner.zustandGeben() * 10 + h_einer.zustandGeben() - 1 ) % 24;
        if (h < 0) {
            h = h +24;
        }
        int h1 = h % 10;
        h_einer.anzeigeSetzen(h1);
        int h10 = (h - h1) / 10;
        h_zehner.anzeigeSetzen(h10);
    }

    public void snoozeDruecken() {
        int m = (m_zehner.zustandGeben() + 1 ) % 6;
        m_zehner.anzeigeSetzen(m);
        if (m == 0) {
            eineStundeSpaeter();
        }
    }
}
