public class Verkehrsteilnehmer {
    //Attribute
    private String name;
    private String vorname;
    private int fsnr;
    private Vergehen[] vergehen;
    private int anzahl;
    
    //Konstruktor
    public Verkehrsteilnehmer(String n, String v, int f) {
        name = n;
        vorname = v;
        fsnr = f;
        vergehen = new Vergehen[30];
        anzahl = 0;
    }

    //Methoden
    public void vergehenHinzufuegen(String datum, String ort, String kennz, String art){
        if(anzahl < 30){
            vergehen[anzahl] = new Vergehen(datum, ort, kennz, art);
            anzahl = anzahl + 1;
        }
        else{
            System.out.println("Fehler! Bereits 30 Vergehen gespeichert.");
        }
    }
    
    public int gesamtpunktzahlZeigen(){
        int summe = 0;
        for(int i = 0; i < anzahl; i++){
            summe = summe + vergehen[i].punkteGeben();
        }
        return summe;
    }
    
    public void alleDatenZeigen(){
        for(int i = 0; i < anzahl; i++){
            System.out.println("Vergehen "+(i+1));
            vergehen[i].datenZeigen();
        }
    }
}