public class Chuckaluck {

    private Wuerfel[] wuerfel;
    private int spielerzahl;
    private Spieler[] spieler;
    private int[] ergebnis;

    public Chuckaluck(int anzahlSpieler) {
        wuerfel = new Wuerfel[3];
        ergebnis = new int[3];
        spielerzahl = anzahlSpieler;
        spieler = new Spieler[spielerzahl];
        for (int i=0; i < 3; i++) {
            wuerfel[i] = new Wuerfel();
        }
        for (int i=0; i < spielerzahl; i++) {
            spieler[i] = new Spieler(i);
        }
    }

    public Chuckaluck() {
        wuerfel = new Wuerfel[3];
        ergebnis = new int[3];
        spielerzahl = 1;
        spieler = new Spieler[spielerzahl];
        for (int i=0; i < 3; i++) {
            wuerfel[i] = new Wuerfel();
        }
        for (int i=0; i < spielerzahl; i++) {
            spieler[i] = new Spieler(i,1);
        }
    }
    
    public Spieler gibErstenSpieler() {
        return spieler[0];
    }

    public void spieleEinSpiel() {
        int[] treffer = new int[spielerzahl];
        for (int i=0; i < 3; i++) {
            ergebnis[i] = wuerfel[i].wuerfeln();
        }
        for (int i=0; i < spielerzahl; i++) {
            treffer[i] = 0;
            for (int k=0; k < 3; k++) {
                if (ergebnis[k]==spieler[i].gibZahl()) {
                    treffer[i] = treffer[i] + 1;
                }
            }
            if (treffer[i] > 0) {
                spieler[i].setzeGewinn(treffer[i]*spieler[i].gibEinsatz());
            } else {
                spieler[i].setzeGewinn(-spieler[i].gibEinsatz());
            }
        }
    }
    
    public void zeigeSpielergebnis() {
        System.out.println("Spielergebnis:");
        for (int i=0; i < 3; i++) {
            System.out.println("Würfel " + i + ": " + ergebnis[i]);
        }
        for (int i=0; i < spielerzahl; i++) {
            System.out.println("Spieler " + i + ": gesetze Zahl " + spieler[i].gibZahl() + " / Einsatz " + spieler[i].gibEinsatz() + " / Gewinn " + spieler[i].gibGewinn());
        }
    }
}
