public class Chuckaluck {

    private Wuerfel[] wuerfel;
    private int spielerzahl;
    private Spieler[] spieler;
    private int[] ergebnis;
    private int augensumme;

    public Chuckaluck(int anzahlSpieler) {
        wuerfel = new Wuerfel[3];
        ergebnis = new int[3];
        spielerzahl = anzahlSpieler;
        spieler = new Spieler[spielerzahl];
        for (int i=0; i < 3; i++) {
            wuerfel[i] = new Wuerfel();
        }
        for (int i=0; i < spielerzahl; i++) {
            spieler[i] = new Spieler(i);
        }
    }

    public void spieleEinSpiel() {
        augensumme = 0;
        int[] treffer = new int[spielerzahl];
        for (int i=0; i < 3; i++) {
            ergebnis[i] = wuerfel[i].wuerfeln();
            augensumme = augensumme + ergebnis[i];
        }
        for (int i=0; i < spielerzahl; i++) {
            if (!spieler[i].gibField()) {
                treffer[i] = 0;
                for (int k=0; k < 3; k++) {
                    if (ergebnis[k]==spieler[i].gibZahl()) {
                        treffer[i] = treffer[i] + 1;
                    }
                }
                if (treffer[i] > 0) {
                    spieler[i].setzeGewinn(treffer[i]*spieler[i].gibEinsatz());
                } else {
                    spieler[i].setzeGewinn(-spieler[i].gibEinsatz());
                }
            } else {
                if ((augensumme > 4 && augensumme < 9) || (augensumme > 12 && augensumme < 17)) {
                    spieler[i].setzeGewinn(spieler[i].gibEinsatz());
                } else {
                    spieler[i].setzeGewinn(-spieler[i].gibEinsatz());
                }
            }
        }
    }
    
    public void zeigeSpielergebnis() {
        System.out.println("Spielergebnis:");
        for (int i=0; i < 3; i++) {
            System.out.println("Würfel " + i + ": " + ergebnis[i]);
        }
        System.out.println("Augensumme: " + augensumme);
        for (int i=0; i < spielerzahl; i++) {
            if (!spieler[i].gibField()) {
                System.out.println("Spieler " + i + ": gesetze Zahl " + spieler[i].gibZahl() + " / Einsatz " + spieler[i].gibEinsatz() + " / Gewinn " + spieler[i].gibGewinn());
            } else {
                System.out.println("Spieler " + i + ": auf Field gesetzt / Einsatz " + spieler[i].gibEinsatz() + " / Gewinn " + spieler[i].gibGewinn());
            }
        }
    }
}
