public class Ausgabe {
    private Lager ausgabe_lager;
    private Artikel[] ausgabe_artikel;
    private int[] ausgabe_abholnr;
    private int anzahl_artikel;
    
    public Ausgabe(Lager lager, int max) {
        ausgabe_lager = lager;
        ausgabe_artikel = new Artikel[max];
        ausgabe_abholnr = new int[max];
        anzahl_artikel = 0;
    }

    public void stelleBereit(int artnr, int abholnr) {
        ausgabe_artikel[anzahl_artikel] = ausgabe_lager.gibArtikel(artnr);
        ausgabe_abholnr[anzahl_artikel] = abholnr;
        anzahl_artikel++;
    }
    
    public void anzeigeAktualisieren(Anzeige anzeige) {
        anzeige.setzeAnzeige(ausgabe_abholnr,anzahl_artikel);
        System.out.println("Die Anzeigentafel wurde aktualisiert.");
    }
    
    public Artikel gibArtikel(Anzeige anzeige, int abholnr) {
        Artikel art = null;
        if (anzeige.istAngezeigt(abholnr)) {
            System.out.println("Die Abholnummer " + abholnr + " wird tatsächlich angezeigt.");
            boolean gefunden = false;
            for (int i = 0; i < anzahl_artikel; i++) {
                if (!gefunden) {
                    if (ausgabe_abholnr[i] == abholnr) {
                        art = ausgabe_artikel[i];
                        gefunden = true;
                    }
                } else {
                    ausgabe_artikel[i-1] = ausgabe_artikel[i];
                    ausgabe_abholnr[i-1] = ausgabe_abholnr[i];
                }
            }
            anzahl_artikel--;
            ausgabe_artikel[anzahl_artikel] = null;
            ausgabe_abholnr[anzahl_artikel] = 0;
        } else {
            System.out.println("Ausgabe nicht möglich, die Abholnummer " + abholnr + " wird nicht angezeigt.");
        }
        return art;
    }
}
