public class Lager {
    private Artikel[] artikel;
    private int[] stueckzahl;
    private int artikelanzahl;

    public Lager() {
        artikelanzahl = 5;
        artikel = new Artikel[artikelanzahl];
        stueckzahl = new int[artikelanzahl];
    }

    public void lagerFuellen() {
        artikel[0] = new Artikel("Couch",509,139);
        stueckzahl[0] = 2;
        artikel[1] = new Artikel("Kleiderschrank",815,399);
        stueckzahl[1] = 23;
        artikel[2] = new Artikel("Esstisch",453,99.99);
        stueckzahl[2] = 15;
        artikel[3] = new Artikel("Regal",629,239);
        stueckzahl[3] = 9;
        artikel[4] = new Artikel("Himmelbett",148,199);
        stueckzahl[4] = 11;
    }
    
    public double gibPreis(int artnr) {
        int i = 0;
        double preis = -1;
        boolean gefunden = false;
        while (i < artikelanzahl && gefunden == false) {
            if (artikel[i].gibNummer() == artnr && stueckzahl[i] > 0) {
                preis = artikel[i].gibPreis();
                gefunden = true;
            }
            i++;
        }
        return preis;
    }

    public Artikel gibArtikel(int artnr) {
        int i = 0;
        Artikel art = null;
        boolean gefunden = false;
        while (i < artikelanzahl && gefunden == false) {
            if (artikel[i].gibNummer() == artnr && stueckzahl[i] > 0) {
                art = artikel[i];
                stueckzahl[i] = stueckzahl[i] - 1;
                gefunden = true;
            }
            i++;
        }
        return art;
    }
}
