public class Bedienung {
    private String b_name;
    private double b_konto;
    private Cafe gehoert_zu;

    public Bedienung(String name, Cafe cafe) {
        b_name = name;
        b_konto = 0;
        gehoert_zu = cafe;
    }
    
    public String gibName() {
        return b_name;
    }

    public Artikel gibBestellung(Kunde kunde, int bestnr) {
        Artikel art = null;
        int tischnr = kunde.gibTisch().gibNummer();
        System.out.println("Die Bestellung Nummer " + bestnr + " von Tisch Nr. " + tischnr + " wurde von der Bedienung " + b_name + " an " + gehoert_zu.gibKueche().gibName() + " übermittelt.");
        gehoert_zu.gibKueche().bereite(bestnr,tischnr,this);
        if (gehoert_zu.gibTheke().istVorhanden(tischnr,this)) {
            System.out.println("Zettel mit Tischnummer " + tischnr + " für Bedienung " + b_name + " ist vorhanden.");
            Zettel bestellung = gehoert_zu.gibTheke().gibBestellung(tischnr,this);
            System.out.println("Bedienung " + b_name + " hat die Bestellung " + bestellung.gibBestellung().gibName() + " für Tischnummer " + bestellung.gibTischnummer() + " von " + gehoert_zu.gibTheke().gibName() + " abgeholt.");
            art = bestellung.gibBestellung();
            System.out.println("Bedienung " + b_name + " hat die Bestellung " + art.gibName() + " für Tischnummer " + kunde.gibTisch().gibNummer() + " an " + kunde.gibName() + " ausgeliefert.");
        } else {
            System.out.println("Zettel mit Tischnummer " + tischnr + " für Bedienung " + b_name + " ist nicht vorhanden.");
        }
        return art;
    }

    public void rechneAb(Kunde kunde, int bestnr) {
        double preis = gehoert_zu.gibKarte().gibPreis(bestnr);
        System.out.println(gehoert_zu.gibKarte().gibName(bestnr) + " kostet " + preis + " Euro.");
        double betrag_erhalten = kunde.bezahle(preis);
        b_konto = b_konto + betrag_erhalten;
        System.out.println(b_name + " hat von " + kunde.gibName() + " " + betrag_erhalten + " Euro erhalten.");
        System.out.println(b_name + " bedankt sich bei " + kunde.gibName() + ".");
    }
}
