public class Theke {
    private String t_name;
    private Zettel[] zettel;
    private int anzahl_zettel;
    private Cafe gehoert_zu;

    public Theke(String name, Cafe cafe) {
        t_name = name;
        zettel = new Zettel[10];
        anzahl_zettel = 0;
        gehoert_zu = cafe;
    }

    public String gibName() {
        return t_name;
    }
    
    public void nimm(Artikel bestellung, int tischnr, Bedienung bed) {
        zettel[anzahl_zettel] = new Zettel(bestellung, tischnr, bed);
        anzahl_zettel++;
        System.out.println(bestellung.gibName() + " steht auf " + t_name + " bereit.");
    }

    public boolean istVorhanden(int tischnr, Bedienung bed) {
        int i = 0;
        boolean gefunden = false;
        while (i < anzahl_zettel && gefunden == false) {
            if (zettel[i].gibTischnummer() == tischnr && zettel[i].gibBedienung() == bed) {
                gefunden = true;
            }
        }
        return gefunden;
    }
    
    public Zettel gibBestellung(int tischnr, Bedienung bed) {
        Zettel bestellung = null;
        boolean gefunden = false;
        for (int i = 0; i < anzahl_zettel; i++) {
            if (!gefunden) {
                if (zettel[i].gibTischnummer() == tischnr && zettel[i].gibBedienung() == bed) {
                    bestellung = zettel[i];
                    gefunden = true;
                }
            } else {
                zettel[i-1] = zettel[i];
            }
        }
        anzahl_zettel--;
        zettel[anzahl_zettel] = null;
        return bestellung;
    }    
}
